All Frameworks Object Hierarchy This Framework Indexes
o Property ActiveView( | ) As (Read Only) |
Dim MyDrawingDoc As Document Set MyDrawingDoc = CATIA.Documents.Item("CATDrawing1") Dim ViewToWorkIn As DrawingView Set ViewToWorkIn = MyDrawingDoc.Sheets.ActiveSheet.DrawingViews.ActiveView
o Func Add( | iDrawingViewName) As |
Dim MyDrawingDoc As Document Set MyDrawingDoc = CATIA.Documents.Item("CATDrawing1") Dim MySheet As DrawingSheet Set MySheet = MyDrawingDoc.Sheets.Item("FirstSheet") Dim MyView As DrawingView Set MyView = MySheet.Views.Add("LeftView")
o Func Item( | iIndex) As |
Dim MySheet As DrawingSheet Set MySheet = CATIA.ActiveDocument.Sheets.ActiveSheet Dim ThisDrawingView As DrawingView Set ThisDrawingView = MySheet.Views.ActiveView.Item(2) Dim ThatDrawingView As DrawingView Set ThatDrawingView = MySheet.Views.ActiveView.Item("MyView")
o Sub Remove( | iIndex) |
Dim MySheet As DrawingSheet Set MySheet = CATIA.ActiveDocument.Sheets.ActiveSheet MySheet.ActiveViews.Remove(3) MySheet.ActiveViews.Remove("TopView")
Copyright © 2003, Dassault Systèmes. All rights reserved.